Quantcast
Channel: Scripting - McNeel Forum
Viewing all articles
Browse latest Browse all 5743

Extrude multiple Curves at the same time

$
0
0

@Vahab wrote:

Hello All,
As you know the following code implements one curve to extrude:

Dim strobject,strPath
strobject = rhino.GetObject("select a curve to extrude")
strPath = Rhino.AddLine(Array(0, 0, 0), Array(0, 0, 10))
rhino.ExtrudeCurve strobject, strPath

What if multiple curves are to be extruded?
I simply tried this:

Dim strobjects,arrobjects
strobject = rhino.GetObjects("select curves to extrude")
strPath = Rhino.AddLine(Array(0, 0, 0), Array(0, 0, 10))
rhino.ExtrudeCurve strobjects, strPath

Here is the Error: Type mismatch Parameter, String Required.
Thanks In advance :slight_smile:

Posts: 5

Participants: 3

Read full topic


Viewing all articles
Browse latest Browse all 5743

Trending Articles